
<template name="ArticleEditor">
  <div class="articles-manager">
    <h1>Edit article</h1>
    {{> ArticleEditorForm}}
  </div>
</template>

<template name="ArticleEditorForm">
  <h2>Primary properties</h2>
  <div class="article-editor">
    <p>
      <label>Id</label>
      <span>
        {{ article._id }}
      </span>
    </p>
    <p>
      <label>Permalink</label>
      <span>
        <a href="{{ pathFor 'articlePermalink' articleId=article._id }}">{{ urlFor 'articlePermalink' articleId=article._id }}</a>
      </span>
    </p>
    <p>
      <label>Is available for sale</label>
      <span>
        <input type="checkbox" name="available" data-action="make-article-available" checked="{{#if article.isAvailable}}true{{/if}}">
      </span>
    </p>
    <p>
      <label>Stock</label>
      <span>
        {{ article.stock }}
      </span>
    </p>
    <p>
      <label>Name</label>
      <span>
        {{ article.name }}
      </span>
    </p>
    <p>
      <label>Slug</label>
      <span>
        {{ article.slug }}
      </span>
    </p>
    <p>
      <label>Image</label>
      <span>
        <img src="{{ image.link }}" alt="{{ image.name }}"><br>
        <span>
          {{#with currentUpload}}
            Uploading <b>{{ file.name }}</b>:
            <span id="progress">{{ progress.get }}%</span>
          {{else}}
            <input data-action="update-image" type="file" />
          {{/with}}
        </span>
      </span>
    </p>
    <p>
      <label>Advised price</label>
      <span>
        <input type="number" data-property-name="advisedPrice" data-action="update-number-property" value="{{ article.advisedPrice }}">
      </span>
      <span> sold for
        {{#if hasPromotions}}
          <del>{{ article.price }}€</del>&nbsp;{{ discountedPrice }}€ (-{{ totalDiscount }}%)
        {{else}}
          {{ article.price }}€
        {{/if}}
      </span>
    </p>
    <p>
      <label>Supplier discount</label>
      <span>
        <input type="number" data-property-name="supplierDiscount" data-action="update-number-property" value="{{ article.supplierDiscount }}">
      </span>
    </p>
    <p>
      <label>Restocking time</label>
      <span>
        <input type="number" data-property-name="restockingTime" data-action="update-number-property" value="{{ article.restockingTime }}">
      </span>
    </p>
    <p>
      <label>Model number</label>
      <span>
        <input type="text" data-property-name="modelNumber" data-action="update-string-property" value="{{ article.modelNumber }}">
      </span>
    </p>
    <p>
      <label>Series</label>
      <span>
        <input type="text" data-property-name="series" data-action="update-string-property" value="{{ article.series }}">
      </span>
    </p>
    <p>
      <label>Color</label>
      <span>
        <input type="text" data-property-name="color" data-action="update-string-property" value="{{ article.color }}">
      </span>
    </p>
    <p>
      <label>Description</label>
      <span>
        <textarea data-property-name="description" data-action="update-string-property">{{ article.description }}</textarea>
      </span>
    </p>
    <p>
      <label>Category</label>
      <span>
        <select data-property-name="categoryId" data-action="update-string-property">
          {{#each categories}}
            {{> ArticleCategoryOption}}
          {{/each}}
        </select>
      </span>
    </p>
    <p>
      <label>Brand</label>
      <span>
        <select data-property-name="brandId" data-action="update-string-property">
          {{#each brands}}
            {{> ArticleBrandOption}}
          {{/each}}
        </select>
      </span>
    </p>
  </div>
  {{> ArticlePromotions}}
  <h2>Technical properties</h2>
  <div class="article-technicals-editor">
    {{#each article.technicals}}
      {{> ArticleTechnicalPropertyForm}}
    {{/each}}
  </div>
</template>

<template name="ArticlePromotions">
  <h2>Promotions</h2>
  <div class="promotions">
  {{#each promotions }}
    {{> ArticlePromotion}}
  {{/each}}
  <form data-action="create-promotion">
    <p>
      From
      <input class="has-datetimepicker" type="text" name="startsAt" required>
      to
      <input class="has-datetimepicker" type="text" name="endsAt" required>
      :
      <input type="number" name="discount" min="1" max="99" required>
      %
    </p>
    <p>
      <input type="submit" value="Add promotion">
    </p>
  </form>
  </div>
</template>

<template name="ArticlePromotion">
  <p class="{{#unless isInRange}}inactive{{/unless}}">
    From {{ startsAt }} to {{ endsAt }} : {{ discount }}%
    <button type="button" data-action="delete-promotion">&times;</button>
  </p>
</template>

<template name="ArticleTechnicalPropertyForm">
  <p>
    <label>{{ name }}</label>
    <span>
      <input type="text" data-action="update-technical-property" value="{{ value }}">
    </span>
  </p>
</template>

<template name="ArticleCategoryOption">
  <option value="{{ _id }}" selected="{{#if isSelectedCategory}}selected{{/if}}">{{ name }}</option>
</template>

<template name="ArticleBrandOption">
  <option value="{{ _id }}" selected="{{#if isSelectedBrand}}selected{{/if}}">{{ name }}</option>
</template>
